{
    template:'${tmpl}',
    data:function(){
        return {
            ldms:[],
        }
    },
    mounted:function(){
        this.ldms=[
            {
                "title":"平台登录",
                "colnum":1,
                 ctls:[
                   {"type":"input","label":"账号","prop":"userName","placeHolder":"请输入登录账号","style":"width:230px",rules:[  { "required": true, "message": ' ', "trigger": 'blur' },,]},
                   {"type":"password","label":"密码","prop":"password","placeHolder":"请输入登录密码","style":"width:230px",rules:[ { "required": true, "message": ' ', "trigger": 'blur' },]},
                   {"type":"btn","label":"开始登录","prop":"btnLogin","placeHolder":"请输入手机号","style":{"width":"150px","margin-left":"45px","margin-top":"20px"},"face":"warning"},
                ]
              },
        ];

    },
    created:function(){

    },
    methods:{
        validmethod:function (rule,value,callback) { 
            console.log("code validdate");
            var self=this;
            var fm=this.currentFrm.getFormModel();
            return callback();
        },
        loginclick:function (fm,prop){
            var self=this;
            var fm=this.$refs.loginFrm.getFormModel();
            this.$refs.loginFrm.overBtnLoading(prop);
            this.$refs.loginFrm.validate(function(v){
                if(v){
                    console.log(v);
                    self.$root.postReq("/web/auth/userCtl/login",{u:fm}).then(function(d){
                        if(d.status==0){
                            console.log(d.data);
                            location.href=d.data.jumpUrl;
                        }else{
                            self.$alert(d.msg, '提示', {
                                confirmButtonText: '确定',
                                callback: action => {
                                }
                              });
                        }
                      });
                }
            });
         },
     
    },
    vname:"gsb-login"
}
